// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "Interactible.generated.h"


UCLASS( ClassGroup=(Custom), meta=(BlueprintSpawnableComponent) )
class RAAN_API UInteractible : public UActorComponent
{
	GENERATED_BODY()

	/** type of damage */
	UPROPERTY(BlueprintReadWrite, Category="Interaction", meta = (AllowPrivateAccess = "true"))
	TSubclassOf<class UInteraction> Interaction;

public:	
	// Sets default values for this component's properties
	UInteractible();

protected:
	// Called when the game starts
	virtual void BeginPlay() override;

public:
	// Called when the player Interacts with this actor
	void Interact();		
};
